#include "component_copy_mouse_position.h"

void
component_copy_mouse_position_tick(ComponentCopyMousePosition* self, ECS* ecs)
{
	ComponentPhysics* physics;
	vec2 mousePosition;

	physics = ecs_component_get(ecs, ECS_COMPONENT_PHYSICS, self->component.id);

	mouse_world_position_get(&ecs->input->mouse, ecs->renderer, mousePosition);

	physics->position[0] = mousePosition[0];
	physics->position[1] = mousePosition[1];
}
