#include "component_counter.h"

void
component_counter_init(ComponentCounter* self, ECS* ecs, s32 value, s32 max)
{
	self->value = value;
	self->min = self->value;
	self->max = self->max;
}

void
component_counter_add(ComponentCounter* self, ECS* ecs)
{
	self->value = 0;
	self->min = 0;
	self->max = COMPONENT_COUNTER_MAX;
}

void
component_counter_tick(ComponentCounter* self, ECS* ecs)
{
	if (self->value >= self->max)
	{
		self->value = self->min;
		return;
	}

	self->value++;
}
