#pragma once

#include "ecs_component_list.h"

void ecs_component_delete(ECS* self, ECSComponentType type, EntityID id);
void* ecs_component_add(ECS* self, ECSComponentType type, EntityID id);
void* ecs_component_get(ECS* self, ECSComponentType type, EntityID id);
void* ecs_component_from_index_get(ECS* self, ECSComponentType type, u32 index);
void ecs_components_add(ECS* self, const ECSComponentType* types, u32 count, EntityID id);
void ecs_components_delete(ECS* self, const ECSComponentType* types, u32 count, EntityID id);
