#include "entity_cursor.h"

EntityID
entity_cursor_add(ECS* ecs)
{
	EntityID id;

	id = ecs_entity_add(ecs);

	ecs_components_add(ecs, ENTITY_CURSOR_DEPENDENCIES, ENTITY_CURSOR_DEPENDENCY_COUNT, id);

	component_game_object_init
	(
		ecs_component_get(ecs, ECS_COMPONENT_TEXTURE_QUAD, id), 
		ecs, 
		&ecs->resources->textures[TEXTURE_CURSOR],
		ENTITY_CURSOR_BUFFER,
		(f32*)ENTITY_CURSOR_SIZE, 
		(f32*)ENTITY_CURSOR_POSITION
	);

	return id;
}
