#include "entity_counter.h"

EntityID
entity_counter_add(ECS* ecs, s32 value, s32 max)
{
	EntityID id;

	id = ecs_entity_add(ecs);

	ecs_components_add(ecs, ENTITY_COUNTER_DEPENDENCIES, ENTITY_COUNTER_DEPENDENCY_COUNT, id);
	
	component_counter_init(ecs_component_get(ecs, ECS_COMPONENT_COUNTER, id), ecs, value, max);

	return id;
}
