#pragma once

#include "../../component/visual/component_text.h"

#define ENTITY_TEXT_SCALE_DEFAULT COMPONENT_TEXT_SCALE_DEFAULT
#define ENTITY_TEXT_OFFSET_DEFAULT COMPONENT_TEXT_OFFSET_DEFAULT

#define ENTITY_TEXT_DEPENDENCY_COUNT 1
static const ECSComponentType ENTITY_TEXT_DEPENDENCIES[ENTITY_TEXT_DEPENDENCY_COUNT] =
{
	ECS_COMPONENT_TEXT
};


EntityID
entity_text_add
(
	ECS* ecs, 
	Font* font, 
	RendererBuffer buffer, 
	const char* string, 
	const vec3 position,
	const vec4 color,
	u32 length,
	u32 wrap
);
