#pragma once

#include "../../engine/renderer.h"
#include "../../engine/texture.h"

typedef enum Flip
{
	FLIP_NONE,
	FLIP_HORIZONTAL,
	FLIP_VERTICAL,
	FLIP_HORIZONTAL_VERTICAL
} Flip;

typedef enum Origin
{
	ORIGIN_CENTER,
	ORIGIN_TOP_LEFT
} Origin;

typedef struct Postprocessing
{
	vec4 color;
	f32 screenShakeIntensity;
	u32 screenShakeTimer;
	bool isScreenShake;
} Postprocessing;
