#pragma once

#include "RESOURCE_COMMON.h"

#define STRING_RESOURCE_MUSIC_ERROR "[ERROR] Unable to initialize music resource: %s\n"
#define STRING_RESOURCE_MUSIC_FREE "[INFO] Freed music resource: %s\n"
#define STRING_RESOURCE_MUSIC_INIT "[INFO] Initialized music resource: %s\n"

void resource_music_state_free(Resources* self, const MusicType* types, u32 count);
void resource_music_state_init(Resources* self, const MusicType* types, u32 count);
void resource_music_free(Resources* self, MusicType type);
bool resource_music_init(Resources* self, MusicType type);
