#pragma once

#include "gameplay/gameplay.h"
#include "title/title.h"

#include "../resource/resource_texture.h"

#define STATE_COUNT STATE_TITLE + 1
typedef enum StateType
{
	STATE_GAMEPLAY,
	STATE_TITLE
} StateType;

typedef struct State
{
	ECS* ecs;
	StateType type;
	StateType setType;
	bool isChanging;
	union
	{
		Gameplay gameplay;
		Title title;
	} states;
} State;
