#pragma once

#include "GAMEPLAY_COMMON.h"

#define GAMEPLAY_TEXTURE_COUNT 3
static const TextureType GAMEPLAY_TEXTURES[GAMEPLAY_TEXTURE_COUNT] =
{
	TEXTURE_TEST,
	TEXTURE_TEST2,
	TEXTURE_CURSOR
};

#define GAMEPLAY_FONT_COUNT 1
static const FontType GAMEPLAY_FONTS[GAMEPLAY_FONT_COUNT] =
{
	FONT_TEST
};

#define GAMEPLAY_SOUND_COUNT 1
static const SoundType GAMEPLAY_SOUNDS[GAMEPLAY_SOUND_COUNT] = 
{
	SOUND_TEST
};

#define GAMEPLAY_MUSIC_COUNT 1
static const MusicType GAMEPLAY_MUSIC[GAMEPLAY_MUSIC_COUNT] =
{
	MUSIC_TEST
};

#define GAMEPLAY_SHADER_COUNT 3
static const ShaderType GAMEPLAY_SHADERS[GAMEPLAY_SHADER_COUNT] =
{
	SHADER_TEXTURE_QUAD,
	SHADER_COLORED_TEXTURE_QUAD,
	SHADER_POSTPROCESS_TEXTURE_QUAD
};

void gameplay_init(Gameplay* self, ECS* ecs);
void gameplay_tick(Gameplay* self);
