#pragma once

#include "component_physics.h"

#include "../../../input/input.h"

typedef struct ComponentCopyMousePosition
{
	ECSComponent component;
} ComponentCopyMousePosition;

void component_copy_mouse_position_tick(ComponentCopyMousePosition* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_COPY_MOUSE_POSITION_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_copy_mouse_position_tick,
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_COPY_MOUSE_POSITION,
	.size = sizeof(ComponentCopyMousePosition)
};
