#pragma once

#include "../../ecs_entity.h"

#include "../../../input/input.h"

typedef struct ComponentPhysics
{
	ECSComponent component;
	vec3 position;
	vec3 velocity;
} ComponentPhysics;

void component_physics_tick(ComponentPhysics* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_PHYSICS_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_physics_tick,
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_PHYSICS,
	.size = sizeof(ComponentPhysics)
};
