#pragma once

#include "../../ecs_entity.h"

typedef struct ComponentTimer
{
	ECSComponent component;
	s32 value;
	bool isFinished;
} ComponentTimer;

void component_timer_init(ComponentTimer* self, ECS* ecs, s32 value);
void component_timer_tick(ComponentTimer* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_TIMER_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_timer_tick,
			NULL,
			NULL,
		}
	},
	.type = ECS_COMPONENT_TIMER,
	.size = sizeof(ComponentTimer)
};
