#pragma once

#include "../../component/game/component_game_object.h"
#include "../../component/physics/component_copy_mouse_position.h"

EntityID entity_cursor_add(ECS* ecs);

#define ENTITY_CURSOR_DEPENDENCY_COUNT 3
static const ECSComponentType ENTITY_CURSOR_DEPENDENCIES[ENTITY_CURSOR_DEPENDENCY_COUNT] =
{
	ECS_COMPONENT_GAME_OBJECT,
	ECS_COMPONENT_OUTLINE,
	ECS_COMPONENT_COPY_MOUSE_POSITION
};

static const RendererBuffer ENTITY_CURSOR_BUFFER = RENDERER_BUFFER_UI;
static const vec2 ENTITY_CURSOR_SIZE = {32.0f, 32.0f};
static const vec3 ENTITY_CURSOR_POSITION = {0.0f, 0.0f, 0.0f};

