#pragma once

#include "GAME_COMMON.h"

#define WINDOW_FLAGS SDL_WINDOW_OPENGL | SDL_WINDOW_RESIZABLE
#define STRING_WINDOW_TITLE "Game Engine"
#define TICK_DELAY 15

static const ivec2 WINDOW_SIZE = {1280, 720};
static const ivec2 WORLD_SIZE = {1280, 720};
static const vec4 RENDERER_CLEAR_COLOR = {0.700f, 0.700f, 0.700f, 1.0f};

void game_init(Game* game);
void game_loop(Game* game);

extern Game game;
