#pragma once

#include "RESOURCE_COMMON.h"

#define STRING_RESOURCE_SOUND_ERROR "[ERROR] Unable to initialize sound resource: %s\n"
#define STRING_RESOURCE_SOUND_FREE "[INFO] Freed sound resource: %s\n"
#define STRING_RESOURCE_SOUND_INIT "[INFO] Initialized sound resource: %s\n"

void resource_sound_state_free(Resources* self, const SoundType* types, u32 count);
void resource_sound_state_init(Resources* self, const SoundType* types, u32 count);
void resource_sound_free(Resources* self, SoundType type);
bool resource_sound_init(Resources* self, SoundType type);
